Subject: Re: Strange standard out in B20
From: [email-masked] (Eugene Kanter)

8 Dec 1998 13:39:22 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: gnu-win <[email-masked]>

Eugene Kanter wrote:

> When I run an application (rpm.exe from Red Hat) under bash and redirect
> output to a file, I get DOS style \r\n end of lines. However if I do the
> same (rpm -qa > file.txt) under cmd.exe, only \n appears at the end of
> file, whis is not what Notepad.exe can handle. Any ideas?

I received a suggest to include

#   if defined(__WINNT__)
     setmode( 1, O_TEXT );
     setmode( 2, O_TEXT );
#   endif

in the beginning of  main() (and make sure fcntl.h is included) which did
the desired.

Thanks all.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".